oracle.xml.xsql

## Interface XSQLDocumentSerializer

    public interface XSQLDocumentSerializer

Interface that must be implemented by all XSQL Serializers which serialize an XSQL data page as an XML Document to a PrintWriter.

Upon encountering a serializer="XXX" pseudo-attribute in an <?xml-stylesheet?> processing instruction, the XSQL Page Processor invokes the associated serializer by:

1. Constructing an instance of the serializer using the no-args constructor
2. Invoking the XSQL document serializer's serialize() method

NOTE: An implementation of XSQLDocumentSerializer is expected to do the following actions.

1. First, call env.setContentType() to set the content type
2. Then, call env.getWriter() to get the Writer to write to

If the serializer throws an unhandled exception, the XSQL Page Processor will format the stacktrace.

See oracle.xml.xsql.src.serializers.XSQLSampleSerializer for an example.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `serialize(Document doc, XSQLPageRequest env)`

### Method Detail

#### serialize

    void serialize(Document doc,
                   XSQLPageRequest env)
            throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.